Reassign records from one pipeline stage to another
curl --request POST \
--url https://your-instance.example.com/api/pipelines/stages/reassign \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sourceStageId": "67f0a0b0c0d0e0f0a0b0c0d0",
"targetStageId": "67f0a0b0c0d0e0f0a0b0c0d1"
}
'import requests
url = "https://your-instance.example.com/api/pipelines/stages/reassign"
payload = {
"sourceStageId": "67f0a0b0c0d0e0f0a0b0c0d0",
"targetStageId": "67f0a0b0c0d0e0f0a0b0c0d1"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sourceStageId: '67f0a0b0c0d0e0f0a0b0c0d0',
targetStageId: '67f0a0b0c0d0e0f0a0b0c0d1'
})
};
fetch('https://your-instance.example.com/api/pipelines/stages/reassign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"recordsTransferred": 7,
"sourceStage": {
"id": "67f0a0b0c0d0e0f0a0b0c0d0",
"name": "New"
},
"targetStage": {
"id": "67f0a0b0c0d0e0f0a0b0c0d1",
"name": "Qualified"
}
}{
"error": "Pipeline not found"
}{
"error": "Pipeline not found"
}{
"error": "Pipeline not found"
}{
"error": "Pipeline not found"
}Pipelines
Reassign records from one pipeline stage to another
Moves all contacts or applications from sourceStageId to targetStageId (must belong to the same pipeline) and deactivates the source stage. The body requires both stage ids.
POST
/
api
/
pipelines
/
stages
/
reassign
Reassign records from one pipeline stage to another
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I